org.eclipse.ecf.remoteservice.rest

## Class RestCall

- java.lang.Object
- - org.eclipse.ecf.remoteservice.asyncproxy.AbstractAsyncProxyRemoteCall
  - - org.eclipse.ecf.remoteservice.RemoteCall
    - - org.eclipse.ecf.remoteservice.rest.RestCall

All Implemented Interfaces:
  Serializable, IRemoteCall, IRestCall

    public class RestCall
    extends RemoteCall
    implements IRestCall, Serializable

Implementation of `IRestCall`. Note that `RestCallFactory` should typically be used to construct instances.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.RemoteCall

`method, parameters, timeout`

### Fields inherited from interface org.eclipse.ecf.remoteservice.rest.IRestCall

`DEFAULT_TIMEOUT`

### Constructor Summary

Constructors
Constructor and Description
`RestCall(String fqMethod)`
`RestCall(String fqMethod, Object[] params)`
`RestCall(String fqMethod, Object[] params, Map requestHeaders)`
`RestCall(String fqMethod, Object[] params, Map requestHeaders, long timeout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map` `getRequestHeaders()` Provides any call-specific request headers.
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.remoteservice.RemoteCall

`getMethod, getParameters, getTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`getMethod, getParameters, getTimeout`

### Constructor Detail

#### RestCall

    public RestCall(String fqMethod,
                    Object[] params,
                    Map requestHeaders,
                    long timeout)

#### RestCall

    public RestCall(String fqMethod,
                    Object[] params,
                    Map requestHeaders)

#### RestCall

    public RestCall(String fqMethod,
                    Object[] params)

#### RestCall

    public RestCall(String fqMethod)

### Method Detail

#### getRequestHeaders

    public Map getRequestHeaders()

Description copied from interface: `IRestCall`
Provides any call-specific request headers.

Specified by:
  `getRequestHeaders` in interface `IRestCall`
Returns:
  a `Map` object which contains and additional header parameters (String->String). May be `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `RemoteCall`